#!/usr/bin/sh
/usr/syno/bin/synopkg status ActiveBackup > /dev/null 2>&1
if [ $? -ne 0 ]; then #package is disable, just skip
	exit 0
fi
/var/packages/ActiveBackup/target/bin/synoabk-jobctl check_share_is_inuse "${1}"
if [ $? -ne 0 ]; then # share is in storage db.
	echo "Active Backup for Business"
	exit 1
fi

/var/packages/ActiveBackup/target/bin/synodedup-engine-tools --check_repo_in_share "${1}"
if [ $? -eq 0 ]; then
	exit 0
else
	echo "Active Backup for Business"
	exit 1
fi
