#!/usr/bin/sh
/usr/syno/bin/synopkg status ActiveBackup
if [ $? -ne 0 ]; then #package is disable, just skip
	exit 0
fi

/var/packages/ActiveBackup/target/bin/synoabk-ctl-fs check_share_backup_destination_by_backup_type "${1}" "fs"
ret=$?
if [ $ret -eq 1 ]; then #contains such backup type task on the share
	exit 0 # will check in share_move_hardcheck_fs.sh
fi

/var/packages/ActiveBackup/target/bin/synoabk-jobctl check_share_is_inuse "${1}"
ret=$?
if [ $ret -ne 0 ]; then #contains abb share
	/var/packages/ActiveBackup/target/bin/synoabk-ctl check_volume_support_by_abb "${3}"
	ret=$?
	if [ $ret -ne 0 ]; then # destination volume not supported by ABB
		echo "Active Backup for Business"
		exit 1
	fi
fi

exit 0
